Subject: Re: bug#75599: 31.0.50; scratch/igc: crash on commit 92ccf1c after opening file and REPL

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jan 2025 14:28:58 +0200

> Date: Sat, 18 Jan 2025 11:47:27 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> "Eli Zaretskii" <[email-masked]> writes:
> 
> > I seldom use 'find', and core dumps even more seldom, but shouldn't
> > GDB be able to search memory of the debuggee regardless of whether it
> > came from the core file or from a live process?  Or am I
> > misunderstanding the question?
> 
> I don't know how to search "all" process memory with GDB.  That's the
> problem.

Is the problem to know what are the START_ADDR and END_ADDR arguments
to the 'find' command?  If so, do the variables set by firstfile.c and
lastfile.c help?